#include "lauxlib.h"
#include "lua.h"
#include "lualib.h"
#include <math.h>

static int l_sin (lua_State *L) {
      double d = luaL_checknumber(L, 1);  /* get argument */
      lua_pushnumber(L, sin(d));  /* push result */
      return 1;  /* number of results */
}
static const struct luaL_reg mylib [] = {
      {"sin", l_sin},
      {NULL, NULL}  /* sentinel */
};

int luaopen_mylib (lua_State *L) {
      luaL_openlib(L, "mylib", mylib, 0);
      return 1;
}

